function CheckLoginForma(){
       if(document.form2.username.value==""||document.form2.username.value.length<3||document.form2.username.value.length>8){
           alert('帐号名称必须是3-8位,不能使用中文');
             document.form2.username.focus();
           return false;
       }
       if (!CheckIfEnglish(document.form2.username.value)) {
		alert("帐号名称只能用字母，数字和下划线的组合,不能使用文字");
		document.form2.username.focus();
		return false;
	}
       if(document.form2.password.value==""||document.form2.password.value.length<5||document.form2.password.value.length>16){
           alert('请输入你的密码,密码必须是5-16位！');
           document.form2.password.focus();
           return false;
       }
       if(document.form2.password1.value==''){
           alert('请输入确定密码！');
           document.form2.password1.focus();
           return false;
       }
       if(document.form2.password.value!=document.form2.password1.value){
           alert('两次密码不一至,请重新输入！');
           document.form2.password.focus();
           return false;
       }
       if(document.form2.xname.value==""||document.form2.xname.value.length<3||document.form2.xname.value.length>5){
           alert('请输入你的姓名！姓名必须是3-8个字');
           document.form2.xname.focus();
           return false;
       }
       if(document.form2.shouji.value==""||document.form2.shouji.value.length<11||document.form2.shouji.value.length>11){
           alert('请输入你的手机号码！手机号码必须是11位');
           document.form2.shouji.focus();
           return false;
       }
     if(document.form2.qq.value==""||document.form2.qq.value.length<5||document.form2.qq.value.length>11){
           alert('请输入您的QQ号！QQ号必须是5-11个字');
           document.form2.qq.focus();
           return false;
       }
        pattern = /^([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)*@([a-zA-Z0-9_-])+(\.([a-zA-Z0-9_-])+)+$/;
	if (document.form2.email.value==""){
		alert("对不起，Email不能为空");
		document.form2.email.focus();
	return false;
	}
	if (!pattern.test(document.form2.email.value)){
		alert("对不起，邮箱格式不正确");
		document.form2.email.focus();
	return false;
	}
   }